Package org.eclipse.birt.chart.model.layout

# Interface Legend

All Superinterfaces:
  `Block`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `LegendImpl`

public interface Legend extends Block
A representation of the model object 'Legend'. Legend represents the rectangular area in chart, where its legends are displayed. It holds also a group of attributes and elements to specify how the legend items are laid out and displayed. The legend items usually describe either the series or categories, depeding on the chart type. Legend is a sub-type of Block, and exists as a child block of the chart's block in a chart's model.

Besides the general approach of using Chart.getBlock( ).getChildren( ) we can also access it using the convenient method: Chart.getLegend( );

The following features are supported:

- `Horizontal Spacing`
- `Vertical Spacing`
- `Client Area`
- `Text`
- `Orientation`
- `Direction`
- `Separator`
- `Position`
- `Item Type`
- `Title`
- `Title Position`
- `Show Value`
- `Show Percent`
- `Show Total`
- `Wrapping Size`
- `Max Percent`
- `Title Percent`
- `Ellipsis`
- `Format Specifier`

See Also:
  - `LayoutPackage.getLegend()`

## Method Summary

Modifier and Type
Method
Description
`Legend`
`copyInstance()`
`ClientArea`
`getClientArea()`
Returns the value of the 'Client Area' containment reference.
`Direction`
`getDirection()`
Returns the value of the 'Direction' attribute.
`int`
`getEllipsis()`
Returns the value of the 'Ellipsis' attribute.
`FormatSpecifier`
`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
`int`
`getHorizontalSpacing()`
Returns the value of the 'Horizontal Spacing' attribute.
`LegendItemType`
`getItemType()`
Returns the value of the 'Item Type' attribute.
`double`
`getMaxPercent()`
Returns the value of the 'Max Percent' attribute.
`Orientation`
`getOrientation()`
Returns the value of the 'Orientation' attribute.
`Position`
`getPosition()`
Returns the value of the 'Position' attribute.
`LineAttributes`
`getSeparator()`
Returns the value of the 'Separator' containment reference.
`Text`
`getText()`
Returns the value of the 'Text' containment reference.
`Label`
`getTitle()`
Returns the value of the 'Title' containment reference.
`double`
`getTitlePercent()`
Returns the value of the 'Title Percent' attribute.
`Position`
`getTitlePosition()`
Returns the value of the 'Title Position' attribute.
`int`
`getVerticalSpacing()`
Returns the value of the 'Vertical Spacing' attribute.
`double`
`getWrappingSize()`
Returns the value of the 'Wrapping Size' attribute.
`boolean`
`isSetDirection()`
Returns whether the value of the ' `Direction`' attribute is set.
`boolean`
`isSetEllipsis()`
Returns whether the value of the '`Ellipsis`' attribute is set.
`boolean`
`isSetHorizontalSpacing()`
Returns whether the value of the '`Horizontal Spacing`' attribute is set.
`boolean`
`isSetItemType()`
Returns whether the value of the ' `Item Type`' attribute is set.
`boolean`
`isSetMaxPercent()`
Returns whether the value of the '`Max Percent`' attribute is set.
`boolean`
`isSetOrientation()`
Returns whether the value of the ' `Orientation`' attribute is set.
`boolean`
`isSetPosition()`
Returns whether the value of the ' `Position`' attribute is set.
`boolean`
`isSetShowPercent()`
Returns whether the value of the '`Show Percent`' attribute is set.
`boolean`
`isSetShowTotal()`
Returns whether the value of the '`Show Total`' attribute is set.
`boolean`
`isSetShowValue()`
Returns whether the value of the '`Show Value`' attribute is set.
`boolean`
`isSetTitlePercent()`
Returns whether the value of the '`Title Percent`' attribute is set.
`boolean`
`isSetTitlePosition()`
Returns whether the value of the '`Title Position`' attribute is set.
`boolean`
`isSetVerticalSpacing()`
Returns whether the value of the '`Vertical Spacing`' attribute is set.
`boolean`
`isSetWrappingSize()`
Returns whether the value of the '`Wrapping Size`' attribute is set.
`boolean`
`isShowPercent()`
Returns the value of the 'Show Percent' attribute.
`boolean`
`isShowTotal()`
Returns the value of the 'Show Total' attribute.
`boolean`
`isShowValue()`
Returns the value of the 'Show Value' attribute.
`void`
`setClientArea(ClientArea value)`
Sets the value of the '`Client Area`' containment reference.
`void`
`setDirection(Direction value)`
Sets the value of the '`Direction`' attribute.
`void`
`setEllipsis(int value)`
Sets the value of the '`Ellipsis`' attribute.
`void`
`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.
`void`
`setHorizontalSpacing(int value)`
Sets the value of the '`Horizontal Spacing`' attribute.
`void`
`setItemType(LegendItemType value)`
Sets the value of the '`Item Type`' attribute.
`void`
`setMaxPercent(double value)`
Sets the value of the '`Max Percent`' attribute.
`void`
`setOrientation(Orientation value)`
Sets the value of the '`Orientation`' attribute.
`void`
`setPosition(Position value)`
Sets the value of the '`Position`' attribute.
`void`
`setSeparator(LineAttributes value)`
Sets the value of the '`Separator`' containment reference.
`void`
`setShowPercent(boolean value)`
Sets the value of the '`Show Percent`' attribute.
`void`
`setShowTotal(boolean value)`
Sets the value of the '`Show Total`' attribute.
`void`
`setShowValue(boolean value)`
Sets the value of the '`Show Value`' attribute.
`void`
`setText(Text value)`
Sets the value of the '`Text`' containment reference.
`void`
`setTitle(Label value)`
Sets the value of the '`Title`' containment reference.
`void`
`setTitlePercent(double value)`
Sets the value of the '`Title Percent`' attribute.
`void`
`setTitlePosition(Position value)`
Sets the value of the '`Title Position`' attribute.
`void`
`setVerticalSpacing(int value)`
Sets the value of the ' `Vertical Spacing`' attribute.
`void`
`setWrappingSize(double value)`
Sets the value of the '`Wrapping Size`' attribute.
`void`
`unsetDirection()`
Unsets the value of the '`Direction`' attribute.
`void`
`unsetEllipsis()`
Unsets the value of the '`Ellipsis`' attribute.
`void`
`unsetHorizontalSpacing()`
Unsets the value of the '`Horizontal Spacing`' attribute.
`void`
`unsetItemType()`
Unsets the value of the '`Item Type`' attribute.
`void`
`unsetMaxPercent()`
Unsets the value of the '`Max Percent`' attribute.
`void`
`unsetOrientation()`
Unsets the value of the '`Orientation`' attribute.
`void`
`unsetPosition()`
Unsets the value of the '`Position`' attribute.
`void`
`unsetShowPercent()`
Unsets the value of the '`Show Percent`' attribute.
`void`
`unsetShowTotal()`
Unsets the value of the '`Show Total`' attribute.
`void`
`unsetShowValue()`
Unsets the value of the '`Show Value`' attribute.
`void`
`unsetTitlePercent()`
Unsets the value of the '`Title Percent`' attribute.
`void`
`unsetTitlePosition()`
Unsets the value of the '`Title Position`' attribute.
`void`
`unsetVerticalSpacing()`
Unsets the value of the ' `Vertical Spacing`' attribute.
`void`
`unsetWrappingSize()`
Unsets the value of the '`Wrapping Size`' attribute.
`void`
`updateLayout(Chart cm)`
Update the legend's block relationship in the hierarchy w.r.t.

### Methods inherited from interface org.eclipse.birt.chart.model.layout.Block

`add, children, getAnchor, getBackground, getBounds, getChildren, getColumn, getColumnspan, getCursor, getHeightHint, getInsets, getMinSize, getOutline, getPreferredSize, getRow, getRowspan, getStretch, getTriggers, getWidthHint, isCustom, isLegend, isPlot, isSetAnchor, isSetColumn, isSetColumnspan, isSetHeightHint, isSetRow, isSetRowspan, isSetStretch, isSetVisible, isSetWidthHint, isText, isTitle, isVisible, remove, setAnchor, setBackground, setBounds, setColumn, setColumnspan, setCursor, setHeightHint, setInsets, setMinSize, setOutline, setRow, setRowspan, setStretch, setVisible, setWidthHint, unsetAnchor, unsetColumn, unsetColumnspan, unsetHeightHint, unsetRow, unsetRowspan, unsetStretch, unsetVisible, unsetWidthHint`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getHorizontalSpacing

int getHorizontalSpacing()
Returns the value of the 'Horizontal Spacing' attribute. Gets the horizontal spacing between entries in the legend. The horizontal spacing between elements in the legend.

Returns:
  the value of the 'Horizontal Spacing' attribute.
See Also:
  - `isSetHorizontalSpacing()`
  - `unsetHorizontalSpacing()`
  - `setHorizontalSpacing(int)`
  - `LayoutPackage.getLegend_HorizontalSpacing()`

### setHorizontalSpacing

void setHorizontalSpacing(int value)
Sets the value of the '`Horizontal Spacing`' attribute.

Parameters:
  `value` - the new value of the 'Horizontal Spacing' attribute.
See Also:
  - `isSetHorizontalSpacing()`
  - `unsetHorizontalSpacing()`
  - `getHorizontalSpacing()`

### unsetHorizontalSpacing

void unsetHorizontalSpacing()
Unsets the value of the '`Horizontal Spacing`' attribute.

See Also:
  - `isSetHorizontalSpacing()`
  - `getHorizontalSpacing()`
  - `setHorizontalSpacing(int)`

### isSetHorizontalSpacing

boolean isSetHorizontalSpacing()
Returns whether the value of the '`Horizontal Spacing`' attribute is set.

Returns:
  whether the value of the 'Horizontal Spacing' attribute is set.
See Also:
  - `unsetHorizontalSpacing()`
  - `getHorizontalSpacing()`
  - `setHorizontalSpacing(int)`

### getVerticalSpacing

int getVerticalSpacing()
Returns the value of the 'Vertical Spacing' attribute. Gets the vertical spacing between entries in the legend. The vertical spacing between elements in the legend.

Returns:
  the value of the 'Vertical Spacing' attribute.
See Also:
  - `isSetVerticalSpacing()`
  - `unsetVerticalSpacing()`
  - `setVerticalSpacing(int)`
  - `LayoutPackage.getLegend_VerticalSpacing()`

### setVerticalSpacing

void setVerticalSpacing(int value)
Sets the value of the ' `Vertical Spacing`' attribute.

Parameters:
  `value` - the new value of the 'Vertical Spacing' attribute.
See Also:
  - `isSetVerticalSpacing()`
  - `unsetVerticalSpacing()`
  - `getVerticalSpacing()`

### unsetVerticalSpacing

void unsetVerticalSpacing()
Unsets the value of the ' `Vertical Spacing`' attribute.

See Also:
  - `isSetVerticalSpacing()`
  - `getVerticalSpacing()`
  - `setVerticalSpacing(int)`

### isSetVerticalSpacing

boolean isSetVerticalSpacing()
Returns whether the value of the '`Vertical Spacing`' attribute is set.

Returns:
  whether the value of the 'Vertical Spacing' attribute is set.
See Also:
  - `unsetVerticalSpacing()`
  - `getVerticalSpacing()`
  - `setVerticalSpacing(int)`

### getClientArea

ClientArea getClientArea()
Returns the value of the 'Client Area' containment reference. Gets the client area of the legend where the legend entries will be displayed. The area of the legend block within which the legend items are displayed.

Returns:
  the value of the 'Client Area' containment reference.
See Also:
  - `setClientArea(ClientArea)`
  - `LayoutPackage.getLegend_ClientArea()`

### setClientArea

void setClientArea(ClientArea value)
Sets the value of the '`Client Area`' containment reference.

Parameters:
  `value` - the new value of the 'Client Area' containment reference.
See Also:
  - `getClientArea()`

### getText

Text getText()
Returns the value of the 'Text' containment reference. Gets the text instance that holds the formatting information for entries in the legend. The actual text content of the block.

Returns:
  the value of the 'Text' containment reference.
See Also:
  - `setText(Text)`
  - `LayoutPackage.getLegend_Text()`

### setText

void setText(Text value)
Sets the value of the '`Text`' containment reference.

Parameters:
  `value` - the new value of the 'Text' containment reference.
See Also:
  - `getText()`

### getOrientation

Orientation getOrientation()
Returns the value of the 'Orientation' attribute. The default value is `"Horizontal"`. The literals are from the enumeration `Orientation`. Gets the orientation to be used for entries in the legend. This determines the way the entries are arranged in the legend. The orientation of elements in the legend.

Returns:
  the value of the 'Orientation' attribute.
See Also:
  - `Orientation`
  - `isSetOrientation()`
  - `unsetOrientation()`
  - `setOrientation(Orientation)`
  - `LayoutPackage.getLegend_Orientation()`

### setOrientation

void setOrientation(Orientation value)
Sets the value of the '`Orientation`' attribute.

Parameters:
  `value` - the new value of the 'Orientation' attribute.
See Also:
  - `Orientation`
  - `isSetOrientation()`
  - `unsetOrientation()`
  - `getOrientation()`

### unsetOrientation

void unsetOrientation()
Unsets the value of the '`Orientation`' attribute.

See Also:
  - `isSetOrientation()`
  - `getOrientation()`
  - `setOrientation(Orientation)`

### isSetOrientation

boolean isSetOrientation()
Returns whether the value of the ' `Orientation`' attribute is set.

Returns:
  whether the value of the 'Orientation' attribute is set.
See Also:
  - `unsetOrientation()`
  - `getOrientation()`
  - `setOrientation(Orientation)`

### getDirection

Direction getDirection()
Returns the value of the 'Direction' attribute. The default value is `"Left_Right"`. The literals are from the enumeration `Direction`. Gets the direction to be used for entries in the legend. This determines the flow of the entries in the legend. The direction in which the entries are added to the legend.

Returns:
  the value of the 'Direction' attribute.
See Also:
  - `Direction`
  - `isSetDirection()`
  - `unsetDirection()`
  - `setDirection(Direction)`
  - `LayoutPackage.getLegend_Direction()`

### setDirection

void setDirection(Direction value)
Sets the value of the '`Direction`' attribute.

Parameters:
  `value` - the new value of the 'Direction' attribute.
See Also:
  - `Direction`
  - `isSetDirection()`
  - `unsetDirection()`
  - `getDirection()`

### unsetDirection

void unsetDirection()
Unsets the value of the '`Direction`' attribute.

See Also:
  - `isSetDirection()`
  - `getDirection()`
  - `setDirection(Direction)`

### isSetDirection

boolean isSetDirection()
Returns whether the value of the ' `Direction`' attribute is set.

Returns:
  whether the value of the 'Direction' attribute is set.
See Also:
  - `unsetDirection()`
  - `getDirection()`
  - `setDirection(Direction)`

### getSeparator

LineAttributes getSeparator()
Returns the value of the 'Separator' containment reference. Gets the separator attributes. The separator is used in the legend to separate entries that are produced by different series keys. The line attributes to be used for the line separating groups of entries in the legend.

Returns:
  the value of the 'Separator' containment reference.
See Also:
  - `setSeparator(LineAttributes)`
  - `LayoutPackage.getLegend_Separator()`

### setSeparator

void setSeparator(LineAttributes value)
Sets the value of the '`Separator`' containment reference.

Parameters:
  `value` - the new value of the 'Separator' containment reference.
See Also:
  - `getSeparator()`

### getPosition

Position getPosition()
Returns the value of the 'Position' attribute. The default value is `"Above"`. The literals are from the enumeration `Position`. The position of the legend.

Returns:
  the value of the 'Position' attribute.
See Also:
  - `Position`
  - `isSetPosition()`
  - `unsetPosition()`
  - `setPosition(Position)`
  - `LayoutPackage.getLegend_Position()`

### setPosition

void setPosition(Position value)
Sets the value of the '`Position`' attribute.

Parameters:
  `value` - the new value of the 'Position' attribute.
See Also:
  - `Position`
  - `isSetPosition()`
  - `unsetPosition()`
  - `getPosition()`

### unsetPosition

void unsetPosition()
Unsets the value of the '`Position`' attribute.

See Also:
  - `isSetPosition()`
  - `getPosition()`
  - `setPosition(Position)`

### isSetPosition

boolean isSetPosition()
Returns whether the value of the ' `Position`' attribute is set.

Returns:
  whether the value of the 'Position' attribute is set.
See Also:
  - `unsetPosition()`
  - `getPosition()`
  - `setPosition(Position)`

### getItemType

LegendItemType getItemType()
Returns the value of the 'Item Type' attribute. The default value is `"Series"`. The literals are from the enumeration `LegendItemType`. The form rendering of series should take (by Series or by Categories).

Returns:
  the value of the 'Item Type' attribute.
See Also:
  - `LegendItemType`
  - `isSetItemType()`
  - `unsetItemType()`
  - `setItemType(LegendItemType)`
  - `LayoutPackage.getLegend_ItemType()`

### setItemType

void setItemType(LegendItemType value)
Sets the value of the '`Item Type`' attribute.

Parameters:
  `value` - the new value of the 'Item Type' attribute.
See Also:
  - `LegendItemType`
  - `isSetItemType()`
  - `unsetItemType()`
  - `getItemType()`

### unsetItemType

void unsetItemType()
Unsets the value of the '`Item Type`' attribute.

See Also:
  - `isSetItemType()`
  - `getItemType()`
  - `setItemType(LegendItemType)`

### isSetItemType

boolean isSetItemType()
Returns whether the value of the ' `Item Type`' attribute is set.

Returns:
  whether the value of the 'Item Type' attribute is set.
See Also:
  - `unsetItemType()`
  - `getItemType()`
  - `setItemType(LegendItemType)`

### getTitle

Label getTitle()
Returns the value of the 'Title' containment reference. Element "Title" of type Label specifies the content and graphical properties of the title of the legend block.

Returns:
  the value of the 'Title' containment reference.
See Also:
  - `setTitle(Label)`
  - `LayoutPackage.getLegend_Title()`

### setTitle

void setTitle(Label value)
Sets the value of the '`Title`' containment reference.

Parameters:
  `value` - the new value of the 'Title' containment reference.
See Also:
  - `getTitle()`

### getTitlePosition

Position getTitlePosition()
Returns the value of the 'Title Position' attribute. The literals are from the enumeration `Position`. Attribute "TitlePosition" specifies the position of the legend title inside the legend block. It can be Above, Below, Left and Right - by default it's Above.

Returns:
  the value of the 'Title Position' attribute.
See Also:
  - `Position`
  - `isSetTitlePosition()`
  - `unsetTitlePosition()`
  - `setTitlePosition(Position)`
  - `LayoutPackage.getLegend_TitlePosition()`

### setTitlePosition

void setTitlePosition(Position value)
Sets the value of the '`Title Position`' attribute.

Parameters:
  `value` - the new value of the 'Title Position' attribute.
See Also:
  - `Position`
  - `isSetTitlePosition()`
  - `unsetTitlePosition()`
  - `getTitlePosition()`

### unsetTitlePosition

void unsetTitlePosition()
Unsets the value of the '`Title Position`' attribute.

See Also:
  - `isSetTitlePosition()`
  - `getTitlePosition()`
  - `setTitlePosition(Position)`

### isSetTitlePosition

boolean isSetTitlePosition()
Returns whether the value of the '`Title Position`' attribute is set.

Returns:
  whether the value of the 'Title Position' attribute is set.
See Also:
  - `unsetTitlePosition()`
  - `getTitlePosition()`
  - `setTitlePosition(Position)`

### isShowValue

boolean isShowValue()
Returns the value of the 'Show Value' attribute. The boolean attribute "ShowValue" specifies whether a descriptive value of the related series will be displayed under the legend item, normally this value will be the first value in the series.

Returns:
  the value of the 'Show Value' attribute.
See Also:
  - `isSetShowValue()`
  - `unsetShowValue()`
  - `setShowValue(boolean)`
  - `LayoutPackage.getLegend_ShowValue()`

### setShowValue

void setShowValue(boolean value)
Sets the value of the '`Show Value`' attribute.

Parameters:
  `value` - the new value of the 'Show Value' attribute.
See Also:
  - `isSetShowValue()`
  - `unsetShowValue()`
  - `isShowValue()`

### unsetShowValue

void unsetShowValue()
Unsets the value of the '`Show Value`' attribute.

See Also:
  - `isSetShowValue()`
  - `isShowValue()`
  - `setShowValue(boolean)`

### isSetShowValue

boolean isSetShowValue()
Returns whether the value of the '`Show Value`' attribute is set.

Returns:
  whether the value of the 'Show Value' attribute is set.
See Also:
  - `unsetShowValue()`
  - `isShowValue()`
  - `setShowValue(boolean)`

### isShowPercent

boolean isShowPercent()
Returns the value of the 'Show Percent' attribute. This attribute is not currently used.

Returns:
  the value of the 'Show Percent' attribute.
See Also:
  - `isSetShowPercent()`
  - `unsetShowPercent()`
  - `setShowPercent(boolean)`
  - `LayoutPackage.getLegend_ShowPercent()`

### setShowPercent

void setShowPercent(boolean value)
Sets the value of the '`Show Percent`' attribute.

Parameters:
  `value` - the new value of the 'Show Percent' attribute.
See Also:
  - `isSetShowPercent()`
  - `unsetShowPercent()`
  - `isShowPercent()`

### unsetShowPercent

void unsetShowPercent()
Unsets the value of the '`Show Percent`' attribute.

See Also:
  - `isSetShowPercent()`
  - `isShowPercent()`
  - `setShowPercent(boolean)`

### isSetShowPercent

boolean isSetShowPercent()
Returns whether the value of the '`Show Percent`' attribute is set.

Returns:
  whether the value of the 'Show Percent' attribute is set.
See Also:
  - `unsetShowPercent()`
  - `isShowPercent()`
  - `setShowPercent(boolean)`

### isShowTotal

boolean isShowTotal()
Returns the value of the 'Show Total' attribute. This attribute is not currently used.

Returns:
  the value of the 'Show Total' attribute.
See Also:
  - `isSetShowTotal()`
  - `unsetShowTotal()`
  - `setShowTotal(boolean)`
  - `LayoutPackage.getLegend_ShowTotal()`

### setShowTotal

void setShowTotal(boolean value)
Sets the value of the '`Show Total`' attribute.

Parameters:
  `value` - the new value of the 'Show Total' attribute.
See Also:
  - `isSetShowTotal()`
  - `unsetShowTotal()`
  - `isShowTotal()`

### unsetShowTotal

void unsetShowTotal()
Unsets the value of the '`Show Total`' attribute.

See Also:
  - `isSetShowTotal()`
  - `isShowTotal()`
  - `setShowTotal(boolean)`

### isSetShowTotal

boolean isSetShowTotal()
Returns whether the value of the '`Show Total`' attribute is set.

Returns:
  whether the value of the 'Show Total' attribute is set.
See Also:
  - `unsetShowTotal()`
  - `isShowTotal()`
  - `setShowTotal(boolean)`

### getWrappingSize

double getWrappingSize()
Returns the value of the 'Wrapping Size' attribute. Attribute "WrappingSize" specifies the behavior of automatically wrapping the legend items text into multiple lines when lacking in display space. Value zero means this feature is disabled, a positive value represents the maximal width of the text in points.

Returns:
  the value of the 'Wrapping Size' attribute.
See Also:
  - `isSetWrappingSize()`
  - `unsetWrappingSize()`
  - `setWrappingSize(double)`
  - `LayoutPackage.getLegend_WrappingSize()`

### setWrappingSize

void setWrappingSize(double value)
Sets the value of the '`Wrapping Size`' attribute.

Parameters:
  `value` - the new value of the 'Wrapping Size' attribute.
See Also:
  - `isSetWrappingSize()`
  - `unsetWrappingSize()`
  - `getWrappingSize()`

### unsetWrappingSize

void unsetWrappingSize()
Unsets the value of the '`Wrapping Size`' attribute.

See Also:
  - `isSetWrappingSize()`
  - `getWrappingSize()`
  - `setWrappingSize(double)`

### isSetWrappingSize

boolean isSetWrappingSize()
Returns whether the value of the '`Wrapping Size`' attribute is set.

Returns:
  whether the value of the 'Wrapping Size' attribute is set.
See Also:
  - `unsetWrappingSize()`
  - `getWrappingSize()`
  - `setWrappingSize(double)`

### getMaxPercent

double getMaxPercent()
Returns the value of the 'Max Percent' attribute. The default value is `"0.33333333"`. Attribute "MaxPercent" specifies the maximal percent of space which the legend can take from the whole chart block. By default, it's 0.33333333, which means the legend block will either be dropped or occupy less than 33.3% space of the whole chart block.

Returns:
  the value of the 'Max Percent' attribute.
See Also:
  - `isSetMaxPercent()`
  - `unsetMaxPercent()`
  - `setMaxPercent(double)`
  - `LayoutPackage.getLegend_MaxPercent()`

### setMaxPercent

void setMaxPercent(double value)
Sets the value of the '`Max Percent`' attribute.

Parameters:
  `value` - the new value of the 'Max Percent' attribute.
See Also:
  - `isSetMaxPercent()`
  - `unsetMaxPercent()`
  - `getMaxPercent()`

### unsetMaxPercent

void unsetMaxPercent()
Unsets the value of the '`Max Percent`' attribute.

See Also:
  - `isSetMaxPercent()`
  - `getMaxPercent()`
  - `setMaxPercent(double)`

### isSetMaxPercent

boolean isSetMaxPercent()
Returns whether the value of the '`Max Percent`' attribute is set.

Returns:
  whether the value of the 'Max Percent' attribute is set.
See Also:
  - `unsetMaxPercent()`
  - `getMaxPercent()`
  - `setMaxPercent(double)`

### getTitlePercent

double getTitlePercent()
Returns the value of the 'Title Percent' attribute. The default value is `"0.6"`. Attribute "TitlePercent" specifies the maximal percent of space which the legend title can take from the whole legend block. By default, it's 0.6, which means the legend title will either be dropped or occupy less than 60% space of the whole legend block.

Returns:
  the value of the 'Title Percent' attribute.
See Also:
  - `isSetTitlePercent()`
  - `unsetTitlePercent()`
  - `setTitlePercent(double)`
  - `LayoutPackage.getLegend_TitlePercent()`

### setTitlePercent

void setTitlePercent(double value)
Sets the value of the '`Title Percent`' attribute.

Parameters:
  `value` - the new value of the 'Title Percent' attribute.
See Also:
  - `isSetTitlePercent()`
  - `unsetTitlePercent()`
  - `getTitlePercent()`

### unsetTitlePercent

void unsetTitlePercent()
Unsets the value of the '`Title Percent`' attribute.

See Also:
  - `isSetTitlePercent()`
  - `getTitlePercent()`
  - `setTitlePercent(double)`

### isSetTitlePercent

boolean isSetTitlePercent()
Returns whether the value of the '`Title Percent`' attribute is set.

Returns:
  whether the value of the 'Title Percent' attribute is set.
See Also:
  - `unsetTitlePercent()`
  - `getTitlePercent()`
  - `setTitlePercent(double)`

### getEllipsis

int getEllipsis()
Returns the value of the 'Ellipsis' attribute. The default value is `"1"`. Int attribute "Ellipsis" specifies the behavior of shortening the legend item's text with ellipsis if there is not enough space to display the whole text. Value 0 indicates that the feature is disabled, and the legend item will either be displayed with whole text or be dropped. A positive value n represents the minimal count of characters to be displayed before the ellipsis, which means the legend item will either be dropped or be displayed with at least n characters.

Returns:
  the value of the 'Ellipsis' attribute.
See Also:
  - `isSetEllipsis()`
  - `unsetEllipsis()`
  - `setEllipsis(int)`
  - `LayoutPackage.getLegend_Ellipsis()`

### setEllipsis

void setEllipsis(int value)
Sets the value of the '`Ellipsis`' attribute.

Parameters:
  `value` - the new value of the 'Ellipsis' attribute.
See Also:
  - `isSetEllipsis()`
  - `unsetEllipsis()`
  - `getEllipsis()`

### unsetEllipsis

void unsetEllipsis()
Unsets the value of the '`Ellipsis`' attribute.

See Also:
  - `isSetEllipsis()`
  - `getEllipsis()`
  - `setEllipsis(int)`

### isSetEllipsis

boolean isSetEllipsis()
Returns whether the value of the '`Ellipsis`' attribute is set.

Returns:
  whether the value of the 'Ellipsis' attribute is set.
See Also:
  - `unsetEllipsis()`
  - `getEllipsis()`
  - `setEllipsis(int)`

### getFormatSpecifier

FormatSpecifier getFormatSpecifier()
Returns the value of the 'Format Specifier' containment reference.

If the meaning of the 'Format Specifier' containment reference isn't clear, there really should be more of a description here...

Element "FormatSpecifier" specifies how the legend item text will be formated.

Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `setFormatSpecifier(FormatSpecifier)`
  - `LayoutPackage.getLegend_FormatSpecifier()`

### setFormatSpecifier

void setFormatSpecifier(FormatSpecifier value)
Sets the value of the '`Format Specifier`' containment reference.

Parameters:
  `value` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `getFormatSpecifier()`

### updateLayout

void updateLayout(Chart cm)
Update the legend's block relationship in the hierarchy w.r.t. the chart model

Parameters:
  `cm` -

### copyInstance

Legend copyInstance()

Specified by:
  `copyInstance` in interface `Block`
Specified by:
  `copyInstance` in interface `IChartObject`